Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Trigger and poll automation runs.
/api/automations/:id/run
{ "inputs": { "query": "hello" }, "wait": 10 }
inputs
wait
0
curl -s -X POST "https://dashboard.floom.dev/api/automations/$ID/run" \ -H "Authorization: Bearer $API_KEY" \ -H "Content-Type: application/json" \ -d '{"inputs": {"name": "Alice"}, "wait": 10}'
{ "runId": "run_xyz789", "status": "success", "result": { "status": "success", "outputs": { "greeting": "Hello, Alice!" }, "logs": "..." } }
{ "runId": "run_xyz789", "status": "running" }
status
pending
running
/api/runs/:runId
success
error
timeout
curl -s "https://dashboard.floom.dev/api/runs/$RUN_ID" \ -H "Authorization: Bearer $API_KEY"
outputs